#!/bin/sh
export set TOOLKIT=../toolkit
export set UDF_CTIME=19990331150000000000
export set UDF_MTIME=19990331150000000000

# #################################### #
#                                      #
# UDF Formatter Script                 #
#   generate a image of the Disc#2     #
#                                      #
# #################################### #
echo	" UDF Image Generator. "
echo    "     Copyright 1998,1999 Aplix Corporation. "
echo    " "
echo	"   - According to the Proposed UDF Compliancy Test Disc Specification Revision 0.04."
echo	"   - This file makes image of disc #2."

# ------------------------------------ #
# Clean up.                            #
#                                      #
# ------------------------------------ #
if [ -e DOS_FILECRC.TXT ]; then
        rm DOS_FILECRC.TXT
fi

if [ -e OS2_FILECRC.TXT ]; then
        rm OS2_FILECRC.TXT
fi

if [ -e WIN95_FILECRC.TXT ]; then
        rm WIN95_FILECRC.TXT
fi

if [ -e WINNT_FILECRC.TXT ]; then
        rm WINNT_FILECRC.TXT
fi

if [ -e UNIX_FILECRC.TXT ]; then
        rm UNIX_FILECRC.TXT
fi

if [ -e MAC_FILECRC.TXT ]; then
        rm MAC_FILECRC.TXT
fi

if [ -e packetlst.dat ]; then
	rm packetlst.dat
fi

if [ -e udfvolume.img ]; then
	rm udfvolume.img
fi

# ------------------------------------ #
# Make volume image file               #
#                                      #
# ------------------------------------ #
./case0

# ------------------------------------ #
# 3.17 Sparing                         #
# ------------------------------------ #
./case3.17

# ------------------------------------ #
# File CRC                             #
# ------------------------------------ #
$TOOLKIT/udf_creat -nocrc -p /DOS/FILECRC.TXT   -c DOS_FILECRC.TXT
$TOOLKIT/udf_creat -nocrc -p /OS2/FILECRC.TXT   -c OS2_FILECRC.TXT
$TOOLKIT/udf_creat -nocrc -p /Mac/FILECRC.TXT   -c MAC_FILECRC.TXT
$TOOLKIT/udf_creat -nocrc -p /WinNT/FILECRC.TXT -c WINNT_FILECRC.TXT
$TOOLKIT/udf_creat -nocrc -p /Win95/FILECRC.TXT -c WIN95_FILECRC.TXT
$TOOLKIT/udf_creat -nocrc -p /UNIX/FILECRC.TXT  -c UNIX_FILECRC.TXT

rm DOS_FILECRC.TXT
rm OS2_FILECRC.TXT
rm WIN95_FILECRC.TXT
rm WINNT_FILECRC.TXT
rm UNIX_FILECRC.TXT
rm MAC_FILECRC.TXT


# ------------------------------------ #
#                                      #
# ------------------------------------ #
$TOOLKIT/udf_final -A n-256 -A n

# ------------------------------------ #
#                                      #
# ------------------------------------ #
echo	"done."

